Package org.apache.aries.jax.rs.rest.management.schema

## Class BundleSchema

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.dto.BundleDTO
    - - org.apache.aries.jax.rs.rest.management.schema.BundleSchema

    public class BundleSchema
    extends org.osgi.framework.dto.BundleDTO

### Field Summary

Fields
`String` `location`

### Fields inherited from class org.osgi.framework.dto.BundleDTO

`id, lastModified, state, symbolicName, version`

### Constructor Summary

Constructors
`BundleSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BundleSchema` `build​(long id, long lastModified, int state, String symbolicName, String version, String location)`
`static BundleSchema` `build​(org.osgi.framework.dto.BundleDTO bundleDTO)`

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### location

    public String location

### Constructor Detail

#### BundleSchema

    public BundleSchema()

### Method Detail

#### build

    public static BundleSchema build​(long id,
                                     long lastModified,
                                     int state,
                                     String symbolicName,
                                     String version,
                                     String location)

#### build

    public static BundleSchema build​(org.osgi.framework.dto.BundleDTO bundleDTO)